/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.chartointarraygetnumericvalues;

/**
 *
 * @author omozegieaziegbe
 */
public class CharToIntArrayGetNumericValues {

    public static int[] charArrayToIntArray(char[] charArray) {
        int[] intArray = new int[charArray.length];
        for (int i = 0; i < charArray.length; i++) {
            int digit = Character.getNumericValue(charArray[i]);
            if (digit == -1) {
                // Handle non-numeric character
                throw new IllegalArgumentException("Input contains non-numeric characters");
            }
            intArray[i] = digit;
        }
        return intArray;
    }

    public static void main(String[] args) {
        char[] charArray = {'1', '2', '3', '4'};
        int[] intArray = charArrayToIntArray(charArray);

        // Print out the int array
        System.out.println("Converted Integer Array:");
        for (int number : intArray) {
            System.out.print(number + " ");
        }
    }
}
